/// <reference types="node" />
import { LoggingBase, Adapter } from "@hibas123/logging";
export default class EpubParser {
    private file;
    private loggingAdapters?;
    logging: LoggingBase;
    constructor(file: string, loggingAdapters?: Adapter | Adapter[]);
    parse(): Promise<void>;
    id: string;
    title: string;
    creator: string;
    summary?: string;
    getFile: (href: string) => Promise<Buffer>;
    getFileByID: (id: string) => {
        getData: () => Promise<Buffer>;
        type: string;
        href: string;
    } | undefined;
    chapters: {
        title: string;
        content: string;
        getFile: (url: string) => Promise<Buffer>;
    }[];
    getCover(): {
        getData: () => Promise<Buffer>;
        type: string;
        href: string;
    };
}
